Package org.postgresql.core

# Class Field

java.lang.Object
org.postgresql.core.Field

public class Field extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `BINARY_FORMAT`
  `static final int`
  `TEXT_FORMAT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Field(String name, int oid)`
  Constructor without mod parameter.
  `Field(String name, int oid, int length, int mod)`
  Construct a field based on the information fed to it.
  `Field(String columnLabel, int oid, int length, int mod, int tableOid, int positionInTable)`
  Construct a field based on the information fed to it.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getColumnLabel()`
  Returns the column label of this Field's data type.
  `int`
  `getFormat()`
  Returns the format of this Field's data (text=0, binary=1).
  `int`
  `getLength()`
  Returns the length of this Field's data type.
  `@Nullable FieldMetadata`
  `getMetadata()`
  `int`
  `getMod()`
  Returns the mod of this Field's data type
  `int`
  `getOID()`
  Returns the oid of this Field's data type.
  `String`
  `getPGType()`
  `int`
  `getPositionInTable()`
  `int`
  `getSQLType()`
  `int`
  `getTableOid()`
  Returns the columns' table oid, zero if no oid available.
  `boolean`
  `isTypeInitialized()`
  `void`
  `setFormat(int format)`
  Sets the format of this Field's data (text=0, binary=1).
  `void`
  `setMetadata(FieldMetadata metadata)`
  `void`
  `setPGType(String pgType)`
  `void`
  `setSQLType(int sqlType)`
  `String`
  `toString()`
  `void`
  `upperCaseLabel()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### TEXT_FORMAT

    public static final int TEXT_FORMAT
    See Also:
      - Constant Field Values

  - ### BINARY_FORMAT

    public static final int BINARY_FORMAT
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Field

    public Field(String name, int oid, int length, int mod)
    Construct a field based on the information fed to it.
    Parameters:
      `name` - the name (column name and label) of the field
      `oid` - the OID of the field
      `length` - the length of the field
      `mod` - modifier

  - ### Field

    public Field(String name, int oid)
    Constructor without mod parameter.
    Parameters:
      `name` - the name (column name and label) of the field
      `oid` - the OID of the field

  - ### Field

    public Field(String columnLabel, int oid, int length, int mod, int tableOid, int positionInTable)
    Construct a field based on the information fed to it.
    Parameters:
      `columnLabel` - the column label of the field
      `oid` - the OID of the field
      `length` - the length of the field
      `mod` - modifier
      `tableOid` - the OID of the columns' table
      `positionInTable` - the position of column in the table (first column is 1, second column is 2, etc...)

- ## Method Details

  - ### getOID

    @Pure public int getOID()
    Returns the oid of this Field's data type.
    Returns:
      the oid of this Field's data type

  - ### getMod

    public int getMod()
    Returns the mod of this Field's data type
    Returns:
      the mod of this Field's data type

  - ### getColumnLabel

    public String getColumnLabel()
    Returns the column label of this Field's data type.
    Returns:
      the column label of this Field's data type

  - ### getLength

    public int getLength()
    Returns the length of this Field's data type.
    Returns:
      the length of this Field's data type

  - ### getFormat

    public int getFormat()
    Returns the format of this Field's data (text=0, binary=1).
    Returns:
      the format of this Field's data (text=0, binary=1)

  - ### setFormat

    public void setFormat(int format)
    Sets the format of this Field's data (text=0, binary=1).
    Parameters:
      `format` - the format of this Field's data (text=0, binary=1)

  - ### getTableOid

    public int getTableOid()
    Returns the columns' table oid, zero if no oid available.
    Returns:
      the columns' table oid, zero if no oid available

  - ### getPositionInTable

    public int getPositionInTable()

  - ### getMetadata

    public @Nullable FieldMetadata getMetadata()

  - ### setMetadata

    public void setMetadata(FieldMetadata metadata)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### setSQLType

    public void setSQLType(int sqlType)

  - ### getSQLType

    public int getSQLType()

  - ### setPGType

    public void setPGType(String pgType)

  - ### getPGType

    public String getPGType()

  - ### isTypeInitialized

    public boolean isTypeInitialized()

  - ### upperCaseLabel

    public void upperCaseLabel()